Bug 146608 - cdrecord blocks system activity during fixating
cdrecord blocks system activity during fixating
Status: CLOSED DUPLICATE of bug 208542
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2005-01-30 11:20 EST by David A. De Graaf
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-29 06:26:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David A. De Graaf 2005-01-30 11:20:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
During the fixating phase, cdrecord eats some system resource that
blocks almost all other activity.  During this period, no processes
can be spawned, but those that were running, eg gkrellm, vi, X,
continue.  A running vi session will do some moving around, but then
will lock up until the fixating is done.  A new command, eg, ls, will
simply block and wait until fixating is over.  Gkrellm shows no
appreciable use of cpu or disk, but a graph of some unknown parameter
in 'proc' rises to a high level.  Top stops completely.

If a DVD is written with only a small amount of data say, 495 MB out
of 4.7 GB, the fixating period lasts a long while - 3:20 m:s and all
this time, nothing else can be done on the system.  When fixating is
done, everything unblocks and goes back to normal behaviour.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Record some data (a small part of a DVD):
    awk -F '\t' '{ print $2 "=" $2 }' $1 | \ 
    /usr/bin/mkisofs -quiet \
        -R -D -allow-leading-dots -graft-points -allow-multidot \
        -max-iso9660-filenames -relaxed-filenames \
        -path-list -  |
    ( /usr/bin/cdrecord -dao -v driveropts=burnfree fs=16m -eject \
        dev=$CDDEV tsize=${SIZE}s - 2> /dev/null ) | tee -a $LOG

2.  After the data is written, while cdrecord says it is 'fixating',
    try to do some other work.  Run ls, start vi, run ps, etc.

3.  Observe that nothing works.  No new processes will start.
    Observe that gkrellm shows substantially no use of cpu or disk,
    but that 'Proc' shows a graph that rises to an abnormally high 

Actual Results:  See 3. above.

When fixating is done - more than 3 minutes later - everything
unfreezes.  All pending keystrokes are processed, as expected.

Expected Results:  cdrecord should not block other system activity.

Additional info:

This is at most, inconvenient.  There is no lasting harm done.
Still, it is not normal and should be fixed.

My DVD writer is a PIONEER DVD-RW DVR-105.  I don't recall seeing this
behaviour before FC3.
Comment 1 Sitsofe Wheeler 2005-01-31 03:14:57 EST
What is the output of rpm -q kernel
Comment 2 Harald Hoyer 2005-01-31 05:17:57 EST
yes, does another kernel change the system behaviour?
Comment 3 David A. De Graaf 2005-01-31 10:46:06 EST
I have retained several FC3 kernels:
$ rpm -q kernel

and am using the latest one:
$ uname -a
Linux datium.datix.lan 2.6.10-1.741_FC3 #1 Thu Jan 13 16:38:22 EST
2005 i686 athlon i386 GNU/Linux

I will try earlier kernels and report back.
Comment 4 David A. De Graaf 2005-01-31 15:31:12 EST
I have now rebooted to each of the four FC3 kernels listed above and
run cdrecord, writing a small collection of data files to a DVD-RW disk.
ALL behave the same way.  The system freezes during fixating.
I suspected two 'foreign' alterations of the kernel - the nvidia
driver, and the pptp package.  However, not using the nvidia driver
and removing  pptp did not improve the bad behaviour.

I believe the system locks up even during the fixating phase of
erasing a DVD-RW disk, but that's pretty brief.
Comment 5 David A. De Graaf 2005-01-31 16:50:05 EST
FWIW, the same system lockup occurs when growisofs finishes writing to
a DVD-RW.  It labels this phase "/dev/dvd: flushing cache", but the
freezeup is identical.
Comment 6 Matthew Miller 2006-07-10 19:09:46 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 Harald Hoyer 2006-09-29 06:26:03 EDT

*** This bug has been marked as a duplicate of 208542 ***
Comment 8 David A. De Graaf 2006-09-29 13:59:32 EDT
I'ms sorry to say this bug is still with us.  I reported it 2005-01-30 for FC3,
but now I'm running FC5 with all updates, and it's still the same.  I guess this
bugzilla should remain open.  
  $ rpm -q cdrecord mkisofs kernel
kernel-2.6.17-1.2187_FC5    <- using this one

Note You need to log in before you can comment on or make changes to this bug.